import '../entities/user_check_flags.dart';
import '../repositories/profile_repository.dart';

class CheckUserUseCase {
  final UserProfileRepository repository;

  CheckUserUseCase(this.repository);

  Future<UserCheckFlags?> call() {
    return repository.checkUser();
  }
}
